## org.hibernate.engine.query
Class OrdinalParameterDescriptor

    java.lang.Object
      org.hibernate.engine.query.OrdinalParameterDescriptor

All Implemented Interfaces:
  Serializable

    public class OrdinalParameterDescriptor

extends Object
implements Serializable

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`OrdinalParameterDescriptor(int ordinalPosition, Type expectedType, int sourceLocation)`

Method Summary
`Type` `getExpectedType()`
`int` `getOrdinalPosition()`
`int` `getSourceLocation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdinalParameterDescriptor

    public OrdinalParameterDescriptor(int ordinalPosition,
                                      Type expectedType,
                                      int sourceLocation)

Method Detail

### getOrdinalPosition

    public int getOrdinalPosition()

### getExpectedType

    public Type getExpectedType()

### getSourceLocation

    public int getSourceLocation()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.